Skip to main content
GET
/
litellm
/
genai
/
v1beta
/
models
Error
A valid request URL is required to generate request examples
{
  "models": [
    {
      "name": "<string>",
      "baseModelId": "<string>",
      "version": "<string>",
      "displayName": "<string>",
      "description": "<string>",
      "inputTokenLimit": 123,
      "outputTokenLimit": 123,
      "supportedGenerationMethods": [
        "<string>"
      ],
      "thinking": true,
      "temperature": 123,
      "maxTemperature": 123,
      "topP": 123,
      "topK": 123
    }
  ],
  "nextPageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Query Parameters

pageSize
integer

Maximum number of models to return

pageToken
string

Page token for pagination

Response

Successful response

models
object[]
nextPageToken
string